<div class="container">

    <h2>My Heroes</h2>
    <div class="heroes-list">
        <ul class="heroes">
            <li *ngFor="let hero of heroes">
                <button [class.selected]="hero === selectedHero" type="button" (click)="onSelect(hero)">
                    <span class="id">{{hero.id}} </span>
                    <span class="name">{{hero.name}}</span>
                </button>
            </li>
        </ul>
    </div>


    <div *ngIf="selectedHero">
        <h2>{{selectedHero.name}} Details</h2>

        <div>
            <label>Hero name: </label>
            <input id="name" [(ngModel)]="selectedHero.name" placeholder="name">
        </div>

        <div><span>Id: </span>{{selectedHero.id}} | <span>Name: </span>{{selectedHero.name}}</div>
    </div>
</div>